Skip to main content
GET
/
workflow
/
executions
List Workflow Executions
curl --request GET \
  --url https://api.getoutbox.ai/workflow/executions/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_name": "<string>",
      "current_action_name": "<string>",
      "contact_name": "<string>",
      "action_config": "<string>",
      "actions_run": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trigger_context": "<unknown>",
      "current_action_index": 1073741823,
      "wait_until": "2023-11-07T05:31:56Z",
      "wait_for_call_id": "<string>",
      "error_message": "<string>",
      "results": "<unknown>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
status
string

Filter by execution status (e.g. pending, completed, failed).

Response

200 - application/json
results
object[]
required
total
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required